Bug 1260594 - gdeploy: creation of physical volumes fails on RHEL7
gdeploy: creation of physical volumes fails on RHEL7
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sachidananda Urs
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 06:47 EDT by Anush Shetty
Modified: 2017-03-25 10:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: gdeploy-1.0-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-25 10:23:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-09-07 06:47:38 EDT
Description of problem: On RHEL-7, gdeploy fails while creating physical volumes.


Version-Release number of selected component (if applicable): gdeploy-1.0-8.el7rhgs.noarch


How reproducible: Always


Steps to Reproduce:
1. Create a config file for setting up bricks:
 
gdeploy config: gluster.conf

[hosts]
rhshdp03.lab.eng.blr.redhat.com
rhshdp04.lab.eng.blr.redhat.com
rhshdp05.lab.eng.blr.redhat.com
rhshdp06.lab.eng.blr.redhat.com

[devices]
/dev/vdb

[mountpoints]
/gluster1/brick1/

[brick_dirs]
s1

[peer]
manage=probe

[volume]
action=create
volname=gluster_vol1
replica=yes
replica_count=2

2. Run gdeploy: gdeploy -c gluster.conf

Actual results:

Fails while creating physical volumes

Expected results:


Additional info:

TASK: [Create Physical Volume on all the nodes] *******************************
failed: [rhshdp04.lab.eng.blr.redhat.com] => {"failed": true, "parsed": false}
Traceback (most recent call last):
  File "/root/.ansible/tmp/ansible-tmp-1441622082.44-238625307804423/pv", line 1763, in <module>
    pvops = PvOps(module)
  File "/root/.ansible/tmp/ansible-tmp-1441622082.44-238625307804423/pv", line 1681, in __init__
    self.pv_action()
  File "/root/.ansible/tmp/ansible-tmp-1441622082.44-238625307804423/pv", line 1750, in pv_action
    self.iterate_disk_names()
  File "/root/.ansible/tmp/ansible-tmp-1441622082.44-238625307804423/pv", line 1724, in iterate_disk_names
    map(self.call_ansible_run_command, self.disks)
  File "/root/.ansible/tmp/ansible-tmp-1441622082.44-238625307804423/pv", line 1741, in call_ansible_run_command
    if self.pv_presence_check(disk):
  File "/root/.ansible/tmp/ansible-tmp-1441622082.44-238625307804423/pv", line 1709, in pv_presence_check
    rc = self.run_command('pvdisplay', ' ' + disk)
TypeError: cannot concatenate 'str' and 'list' objects
OpenSSH_6.6.1, OpenSSL 1.0.1e-fips 11 Feb 2013
debug1: Reading configuration data /etc/ssh/ssh_config
debug1: /etc/ssh/ssh_config line 56: Applying options for *
debug1: auto-mux: Trying existing master
debug1: mux_client_request_session: master session id: 2
Shared connection to rhshdp04.lab.eng.blr.redhat.com closed.
Comment 2 Sachidananda Urs 2015-09-07 07:01:17 EDT
Anush, this is failing only on this machine? Do you see logical volumes created on other machines?
Comment 3 Sachidananda Urs 2015-09-07 09:51:30 EDT
Anush, this is a packaging issue. You see this since RPM was created out of a 
wrong branch. Should work with new build el7rhgs-9

New build contains lot of security fixes too.
Comment 4 Anush Shetty 2015-09-08 05:46:35 EDT
Verified with gdeploy-1.0-9.el7rhgs.noarch

Note You need to log in before you can comment on or make changes to this bug.